<?php

namespace App\Livewire\Admin;

use App\Models\User;
use App\Services\UserService;
use Livewire\Component;
use Livewire\Attributes\On;

class ShowUsers extends Component
{
    public $users = [];

    #[On('user-updated')]
    #[On('user-created')]

    public function mount(UserService $userService)
    {
        $this->users = $userService->showUsers();
    }
    public function show(UserService $userService) {}
    public function render()
    {
        return view('livewire.admin.show-users');
    }
}
